GET /v1/workflows/{id}/trigger-aggregates
Per-trigger run aggregates (last fired, run count, success / failure breakdown, next fire preview) for a workflow
GET
/v1/workflows/{id}/trigger-aggregates
Per-trigger run aggregates (last fired, run count, success / failure breakdown, next fire preview) for a workflow
Path Parameters
id
string
required
path
Workflow ID
Responses
200
OK
application/jsoncode
integer
data
object
triggers
object[]
Array of:
cancelledCount
integer
failureCount
integer
lastFiredAt
string
nextFireAt
string
runCount
integer
successCount
integer
triggerNodeId
string
type
string
workflowId
string
message
string
requestId
string
404
Not Found
curl -X GET 'https://api.example.com/v1/workflows/string/trigger-aggregates' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/workflows/string/trigger-aggregates', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/workflows/string/trigger-aggregates', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/workflows/string/trigger-aggregates", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 0, "data": { "triggers": [ { "cancelledCount": 123, "failureCount": 123, "lastFiredAt": "<string>", "nextFireAt": "<string>", "runCount": 123, "successCount": 123, "triggerNodeId": "<string>", "type": "<string>" } ], "workflowId": "<string>" }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
GET
/v1/workflows/{id}/trigger-aggregates
